image: node:12.16.3

# Info: http://docs.gitlab.com/ee/ci/docker/using_docker_images.html#what-is-a-service
services:
  - name: mongo:$MONGODB_VERSION
    alias: mongodb

variables:
  MONGODB_VERSION: '4.2.6'
  MONGODB_URL: 'mongodb:27017/test'
  JWT_SECRET: 'test'

# http://docs.gitlab.com/ee/ci/yaml/README.html#cache
cache:
  paths:
    - node_modules/

test_client:
  script:
    - cd app/client
    - npm install
    - npm run test
    
test_server:
  script:
    - cd app/server
    - npm install
    - ps -e | grep 
    - PORT=3002 \
      MONGODB_URL=$MONGODB_URL \
      JWT_SECRET=$JWT_SECRET \
      npm run test

